Skip to content
BleemeoBleemeo

List reports

GET
/v1/report/
curl --request GET \
--url https://example.com/v1/report/ \
--header 'Authorization: Bearer <token>'

Return all reports for the current account.

cursor
string

The pagination cursor value.

id
string format: uuid
page_size
integer

Number of results to return per page.

report_config
string format: uuid
search
string

A search term.

Media typeapplication/json
object
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
report_pdf
required
string
report_config
required
string format: uuid
created_at
required
string format: date-time
Example
{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
}